Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface OligoFeatureAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface OligoFeatureAdaptor
extends FeatureAdaptor

Adaptor for retrieving OligoFeatures from a database.

Author:
  Craig Melsopp
See Also:
  `OligoFeature`

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`OligoFeature` | `fetch(long internalID)` Fetch OligoFeature with specified internalID.
`java.util.List` | `fetch(OligoProbe oligoProbe)` Fetches OligoFeatures corresponding the the oligoProbe.

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public OligoFeature fetch(long internalID)
                       throws AdaptorException

  Fetch OligoFeature with specified internalID.

  Parameters:
    `internalID` - internalID of the OligoFeature.
  Returns:
    OligoFeature with specified internalID or null if none found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(OligoProbe oligoProbe)
                         throws AdaptorException

  Fetches OligoFeatures corresponding the the oligoProbe.

  Parameters:
    `oligoProbe` - OligoProbe of interest.
  Returns:
    zero or more OligoFeatures representing where the oligoProbe hits the genome.
  Throws:
    `AdaptorException`
  See Also:
    `OligoFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD